com.pdfunit.validators

## Class DateValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.DateValidator

-     @DoNotObfuscate
      public final class DateValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for the property creationDate and modificationDate in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DateValidator` | `after(java.util.Calendar dateLowerLimit, DateResolution resolution)` Verifying that a date of the PDF document is higher, than the limit, given by the first parameter.
    `DateValidator` | `before(java.util.Calendar dateUpperLimit, DateResolution resolution)` Verifying that a date of the PDF document is lower, than the limit, given by the first parameter.
    `DateValidator` | `equalsTo(java.util.Calendar expectedDate, DateResolution resolution)` Verifying that a date of the PDF document is equal to the date, given by the first parameter.
    `DateValidator` | `hasCreationDate()` This method does what the name suggests.
    `DateValidator` | `hasModificationDate()` This method does what the name suggests.
    `void` | `hasNoCreationDate()` This method does what the name suggests.
    `void` | `hasNoModificationDate()` This method does what the name suggests.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateValidator

          public DateValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### hasCreationDate

          public DateValidator hasCreationDate()

      This method does what the name suggests.

    - #### hasModificationDate

          public DateValidator hasModificationDate()

      This method does what the name suggests.

    - #### hasNoCreationDate

          public void hasNoCreationDate()

      This method does what the name suggests.

    - #### hasNoModificationDate

          public void hasNoModificationDate()

      This method does what the name suggests.

    - #### equalsTo

          @Guarded
          public DateValidator equalsTo(java.util.Calendar expectedDate,
                                       DateResolution resolution)

      Verifying that a date of the PDF document is equal to the date, given by the first parameter. The dates are compared in a resolution defined by the second parameter.

    - #### before

          @Guarded
          public DateValidator before(java.util.Calendar dateUpperLimit,
                                     DateResolution resolution)

      Verifying that a date of the PDF document is lower, than the limit, given by the first parameter. The dates are compared in a resolution defined by the second parameter. The limit is exclusive.

    - #### after

          @Guarded
          public DateValidator after(java.util.Calendar dateLowerLimit,
                                    DateResolution resolution)

      Verifying that a date of the PDF document is higher, than the limit, given by the first parameter. The dates are compared in a resolution defined by the second parameter. The limit is exclusive.

Copyright (C) PDFUnit.com. See here for license.